function r=analyze(y) ;
% Analyzuj predlozeny vzorek, zda je to drevo, umakart, nebo mramor
%
% Vypocitej priznakovy vektor
global md mu mm ;

figure(1) ; clf ; plot(y(:,1)) ; title('Vstupni signal') ;
figure(2) ; clf ; plot(plots(y)) ; title('Normovane spektrum') ;

disp('Priznakovy vektor:') ;
p=pattern(y) 


% vypocitej vzdalenosti ke stredum souboru
dd=dist(md,p)^(-2) ; 
du=dist(mu,p)^(-2) ;
dm=dist(mm,p)^(-2) ;

dcelk=dd+du+dm ;
dd=100*dd/dcelk ; du=100*du/dcelk ; dm=100*dm/dcelk ;

disp('Predlozeny vzorek je s pravdepodobnosti') ;
disp(['  ',num2str(dd),' % drevo']) ;
disp(['  ',num2str(du),' % umakart']) ;
disp(['  ',num2str(dm),' % mramor']) ;

if dd>du,
  if dd>dm, r=1 ; disp('Konecna klasifikace: Drevo') ; 
      else  r=3 ; disp('Konecna klasifikace: Mramor') ; end ;
 else
  if du>dm, r=2 ; disp('Konecna klasifikace: Umakart') ; 
      else  r=3 ; disp('Konecna klasifikace: Mramor') ; end ;
      
  end ;